Package wx :: Package lib :: Module colourutils

[frames | no frames]

## Module wx.lib.colourutils

Some useful colour-realted utility functions

Function Summary
| ``AdjustAlpha`(colour, alpha)` Adjust the alpha of a given colour
| ``AdjustColour`(color, percent, alpha)` Brighten/Darken input colour by percent and adjust alpha channel if needed.
| ``BestLabelColour`(color)` Get the best color to use for the label that will be drawn on top of the given color.
| ``GetHighlightColour`()` Get the default highlight color @return: wx.Color

Function Details

### AdjustAlpha(colour, alpha)

Adjust the alpha of a given colour

### AdjustColour(color, percent, alpha=255)

Brighten/Darken input colour by percent and adjust alpha channel if needed. Returns the modified color. @param color: color object to adjust @type color: wx.Color @param percent: percent to adjust +(brighten) or -(darken) @type percent: int @keyword alpha: amount to adjust alpha channel

### BestLabelColour(color)

Get the best color to use for the label that will be drawn on top of the given color. @param color: background color that text will be drawn on

### GetHighlightColour()

Get the default highlight color @return: wx.Color

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:48 2009 | http://epydoc.sf.net